Bug 461436 - No autorun for PTP cameras
No autorun for PTP cameras
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 20:13 EDT by Michal Růžička
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Růžička 2008-09-07 20:13:09 EDT
Description of problem:
Nothing happens when a PTP camera (Canon PowerShot SX100 IS in my case) is connected to a box running Fedora 9 despite the "Ask what to do" option is selected for "Photos" on the "Media" tab in the "File Management Preferences" (
nautilus-file-management-properties).

Version-Release number of selected component (if applicable):
nautilus-2.22.5.1-1.fc9.i386
gvfs-0.2.5-1.fc9.i386
gphoto2-2.4.0-10.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Make sure you have the "Ask what to do" option selected for "Photos" on the "Media" tab in the "File Management Preferences".
2. Connect a camera which only supports the PTP protocol.

Actual results:
Nothing happens.

Expected results:
A dialog asking what to do with the camera is displayed.

Additional info:
If I read the code correctly, the problem seems to be in the logic of the function:
static gboolean should_autorun_mount (GMount *mount)
in:
nautilus-2.22.5.1/libnautilus-private/nautilus-autorun.c
The function returns FALSE for non-local files if
gboolean g_volume_should_automount (GVolume *volume)
returns FALSE.
And the g_volume_should_automount() returns FALSE for any "gphoto2:/" (which is used for the PTP cameras among others) volume as a consequence of what is commeted in gvfs-0.2.5-1 source codes (namely in the g_hal_volume_new () fucntion in gvfs-0.2.5/hal/ghalvolume.c) with the following text:

/* We don't want to automount cameras as the gphoto backend
   blocks access from other apps */
Comment 1 Bug Zapper 2009-06-09 22:39:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:42:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.